Loading...
Searching...
No Matches
XrdCl::Monitor::ErrorInfo Struct Reference

Describe an encountered file-based error. More...

`#include <XrdClMonitor.hh>`

Collaboration diagram for XrdCl::Monitor::ErrorInfo:

## Public Types

enum | Operation { ErrOpen = 0 , ErrRead , ErrReadV , ErrWrite , ErrWriteV , ErrUnc }

## Public Member Functions

| ErrorInfo ()

## Public Attributes

const URL * | file
| The file in question.
Operation | opCode
| The associated operation.
const XRootDStatus * | status
| Status code.

## Detailed Description

Describe an encountered file-based error.

Definition at line 140 of file XrdClMonitor.hh.

## Member Enumeration Documentation

## Operation

enum XrdCl::Monitor::ErrorInfo::Operation

Enumerator
ErrOpen | Open (ditto).
ErrRead | Read.
ErrReadV | Readv.
ErrWrite | Write.
ErrWriteV | WriteV.
ErrUnc | Unclassified operation.

Definition at line 142 of file XrdClMonitor.hh.

{
ErrOpen = 0,
ErrRead,
ErrReadV,
ErrWrite,
ErrWriteV,
ErrUnc
};
XrdCl::Monitor::ErrorInfo::ErrWrite
@ ErrWrite
Write.
Definition XrdClMonitor.hh:147
XrdCl::Monitor::ErrorInfo::ErrReadV
@ ErrReadV
Readv.
Definition XrdClMonitor.hh:146
XrdCl::Monitor::ErrorInfo::ErrUnc
@ ErrUnc
Unclassified operation.
Definition XrdClMonitor.hh:149
XrdCl::Monitor::ErrorInfo::ErrOpen
@ ErrOpen
Open (ditto).
Definition XrdClMonitor.hh:144
XrdCl::Monitor::ErrorInfo::ErrRead
@ ErrRead
Read.
Definition XrdClMonitor.hh:145
XrdCl::Monitor::ErrorInfo::ErrWriteV
@ ErrWriteV
WriteV.
Definition XrdClMonitor.hh:148

## Constructor & Destructor Documentation

## ErrorInfo()

XrdCl::Monitor::ErrorInfo::ErrorInfo | ( |  | ) |

inline

Definition at line 152 of file XrdClMonitor.hh.

: file(0), status(0), opCode( ErrUnc ) {}
XrdCl::Monitor::ErrorInfo::status
const XRootDStatus * status
Status code.
Definition XrdClMonitor.hh:154
XrdCl::Monitor::ErrorInfo::file
const URL * file
The file in question.
Definition XrdClMonitor.hh:153
XrdCl::Monitor::ErrorInfo::opCode
Operation opCode
The associated operation.
Definition XrdClMonitor.hh:155

References ErrUnc, file, opCode, and status.

## Member Data Documentation

## file

const URL* XrdCl::Monitor::ErrorInfo::file

The file in question.

Definition at line 153 of file XrdClMonitor.hh.

Referenced by ErrorInfo(), XrdCl::FileStateHandler::OnOpen(), and XrdCl::FileStateHandler::OnStateError().

## opCode

Operation XrdCl::Monitor::ErrorInfo::opCode

The associated operation.

Definition at line 155 of file XrdClMonitor.hh.

Referenced by ErrorInfo(), XrdCl::FileStateHandler::OnOpen(), and XrdCl::FileStateHandler::OnStateError().

## status

const XRootDStatus* XrdCl::Monitor::ErrorInfo::status

Status code.

Definition at line 154 of file XrdClMonitor.hh.

Referenced by ErrorInfo(), XrdCl::FileStateHandler::OnOpen(), and XrdCl::FileStateHandler::OnStateError().

The documentation for this struct was generated from the following file:

- XrdClMonitor.hh